# coding=utf-8

#usage 
#python hiwsd.py newlineSeparatedSynsetFile articleName/hi/articleName engWord#n#senseNumber hindiSynsetOffset

import codecs
import sys
import re

synset = codecs.open(sys.argv[1], "r", "utf-8").read()
hiIn = codecs.open(sys.argv[2]+'_hi_tagged1.txt', "r", "utf-8").read()
outFile = codecs.open(sys.argv[2]+'_hi_tagged.txt', "w", "utf-8")

hiOut = hiIn				#if no matches are found, the output is same as input
engTag = sys.argv[3]
synsetID = sys.argv[4]
words = synset.splitlines()		#convert synset input to list of words
tagLength = len(str('['+engTag+']'+'#'+synsetID))

for word in words:
	expr = re.compile(ur'\n'+word+ur'[\n,.\u0964]', re.UNICODE) #regular expression to match whole words only. Word boundary assumed at newline, period, comma or 'viraam'
	matches = re.finditer(expr, hiIn)
	for count, m in enumerate(matches):
		#print m.start(), ' ', m.group(0)
		hiOut = hiIn[0:m.end()+count*tagLength-1]+'['+engTag+']'+'#'+synsetID+hiIn[m.end()+count*tagLength-1:] #place the tag after matched word
		hiIn = hiOut

outFile.write(hiOut)
outFile.close()
